*EICV1 Comparing with EICV2.



IF (s4bq14 = 1 & Occupation = 6) WorkStats = 1 .
VARIABLE LABELS WorkStats 'Work Status as EICV2' .
EXECUTE .
IF (s4bq14 = 1 & Occupation  ~= 6) WorkStats = 4 .
EXECUTE .
IF (s4bq14 = 2 & Occupation = 6) WorkStats = 2 .
VARIABLE LABELS WorkStats 'Work Status as EICV2' .
EXECUTE .
IF (s4bq14 = 3 & Occupation = 6) WorkStats = 2 .
VARIABLE LABELS WorkStats 'Work Status as EICV2' .
EXECUTE .

IF (s4bq14 = 2 & Occupation ~= 6) WorkStats = 5 .
VARIABLE LABELS WorkStats 'Work Status as EICV2' .
EXECUTE .
IF (s4bq14 = 3 & Occupation ~= 6) WorkStats = 5 .
VARIABLE LABELS WorkStats 'Work Status as EICV2' .
EXECUTE .
IF (s4bq14 = 4 & Occupation = 6)  WorkStats = 3 .
VARIABLE LABELS WorkStats 'Work Status as EICV2' .
EXECUTE .
IF (s4bq14 = 5 & Occupation = 6)  WorkStats = 3 .
VARIABLE LABELS WorkStats 'Work Status as EICV2' .
EXECUTE .

IF (s4bq14 = 4 & Occupation ~= 6)  WorkStats = 6 .
VARIABLE LABELS WorkStats 'Work Status as EICV2' .
EXECUTE .
IF (s4bq14 = 5 &  Occupation ~= 6)  WorkStats = 6 .
VARIABLE LABELS WorkStats 'Work Status as EICV2' .
EXECUTE .

VALUE LABELS WorkStats 	1 'Wage farm' 
				2 'Independent farm'
				3 'Unpaid farm worker'
				4 'Wage non farm'
				5 'Independent non-farm'
				6 'Unpaid non farm worker'.
*MISSING VALUES RECODED.

IF ((SYSMIS(s4bq14)) &  Occupation = 6 & s4aq4=1 )  WorkStats = 2 .
EXECUTE .

IF ((SYSMIS(s4bq14)) & s4aq4=1 )  WorkStats = 3 .
EXECUTE .

DO IF (SYSMIS(WorkStats) & s4aq4 = 1) .
RECODE
  WorkStats  (SYSMIS=3)  .
END IF .
EXECUTE .

DO IF (SYSMIS(WorkStats) & s4aq2 = 1) .
RECODE
  WorkStats  (SYSMIS=4)  .
END IF .
EXECUTE .

DO IF (SYSMIS(WorkStats) & s4aq3 = 1) .
RECODE
  WorkStats  (SYSMIS=5)  .
END IF .
EXECUTE .
USE ALL.
COMPUTE filter_$=(s1q3a >= 7).
VARIABLE LABEL filter_$ 's1q3a >= 7 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


*MAKING REVWORKST TO COMPARE COMPLETELY WITH EICV2 BY RESTRICTING INDEPENDENT FARMERS TO 1 PER HOUSEHOLD.
RECODE
  WorkStats
  (2=1)  (ELSE=SYSMIS)  INTO  IndFarmer .
VARIABLE LABELS IndFarmer 'Independent farmer'.
EXECUTE .

AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  /BREAK=KEY
  /IndFarmer_nu 'Number Hhd of Ind Farmers ' = NU(IndFarmer).

RECODE
  WorkStats
  (3=3)  (4=4)  (5=5)  (1=1)  (6=6)  (ELSE=SYSMIS) INTO  NewWorkStat .
VARIABLE LABELS NewWorkStat 'Recoded Work Staus'.
EXECUTE .

DO IF (WorkStats = 2 & IndFarmer_nu   = 1) .
RECODE
  NewWorkStat  (SYSMIS=2)  .
END IF .
EXECUTE .

DO IF (WorkStats = 2 & IndFarmer_nu >1  & s1q2 = 1) .
RECODE
  NewWorkStat  (SYSMIS=2)  .
END IF .
EXECUTE .

DO IF (WorkStats = 2 & IndFarmer_nu > 1 & s1q2 > 1) .
RECODE
  NewWorkStat  (SYSMIS=7)  .
END IF .
EXECUTE .


VALUE LABELS NewWorkStat	1 'Wage farm' 
				2 'Independent farm head'
				3 'Unpaid farm worker'
				4 'Wage non farm'
				5 'Independent non-farm'
				6 'Unpaid non farm worker'
				7 'Ind farmer non-head'.
DO IF (NewWorkStat = 2) .
RECODE
  NewWorkStat
  (2=1)  INTO  HeadFarmer .
END IF .
EXECUTE .


DO IF (NewWorkStat = 2 ) .
RECODE
  NewWorkStat
  (2=1)  INTO  AnyFarmer .
END IF .
EXECUTE .

AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  OVERWRITEVARS=YES
  /BREAK=KEY
  /HeadFarmer_nu = NU(HeadFarmer) /AnyFarmer_nu = NU(AnyFarmer).

IF (HeadFarmer_nu = 0 & AnyFarmer_nu > 0) farmheadneeded = 1 .
EXECUTE .


RECODE
  NewWorkStat
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=3)  INTO  RevWorkStats .
VARIABLE LABELS RevWorkStats 'Revised Work Status'.
EXECUTE .

VALUE LABELS RevWorkStats	1 'Wage farm' 
				2 'Independent farm head'
				3 'Unpaid farm worker'
				4 'Wage non farm'
				5 'Independent non-farm'
				6 'Unpaid non farm worker'.
				
